--- title: "Get server type (G3)" slug: "ses-getserverspeclist" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-getserverspeclist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server type (G3) Available in VPC Get available node server types. Note This is a dedicated API for third-generation servers of the KVM hypervisor type. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/getServerSpecList (Korea Region) | | POST | /api/sgn-v2/cluster/getServerSpecList (Singapore Region) | | POST | /api/jpn-v2/cluster/getServerSpecList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type (G3)](/docs/en/ses-getclusterserverimagelist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getServerSpecList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "softwareProductCode": "SW.VELST.OS.LNX64.ROCKY.08.G003" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.productList` | Array | - | Server type list: [productList](/docs/en/ses-getserverspeclist#productList) | | `requestId` | String | - | ID for the request - UUID format | #### `productList` The following describes `productList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serverSpecCode` | String | - | Server specification code | | `serverSpecTypeCode` | String | - | Server classification | | `serverSpecDescription` | String | - | Server description | | `productCode` | String | - | Server type code | | `hypervisorCode` | String | - | Hypervisor code | | `generationCode` | String | - | Server generation code | | `cpuArchitectureCode` | String | - | CPU architecture type | | `cpuCount` | Integer | - | Number of CPUs | | `memorySize` | Integer | - | Memory size (GB) | | `blockStorageMaxCount` | Integer | - | Maximum number of assignable storage | | `networkInterfaceMaxCount` | Integer | - | Maximum number of assignable network interfaces | | `zoneNoList` | Array | - | Zone number list | | `memorySizeToBytes` | Integer | - | Memory size (byte) | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "productList": [ { "serverSpecCode": "elst.c2-g3", "serverSpecTypeCode": "HICPU", "serverSpecDescription": "[HICPU] vCPU 2EA, Memory 4GB", "productCode": "SVR.VELST.HICPU.C002.M004.NET.SSD.B050.G003", "hypervisorCode": "KVM", "generationCode": "G3", "cpuArchitectureCode": "X86_64", "cpuCount": 2, "memorySize": 4, "blockStorageMaxCount": 20, "networkInterfaceMaxCount": 3, "zoneNoList": [ 2, 3 ], "memorySizeToBytes": 4294967296 }, { "serverSpecCode": "elst.c4-g3", "serverSpecTypeCode": "HICPU", "serverSpecDescription": "[HICPU] vCPU 4EA, Memory 8GB", "productCode": "SVR.VELST.HICPU.C004.M008.NET.SSD.B050.G003", "hypervisorCode": "KVM", "generationCode": "G3", "cpuArchitectureCode": "X86_64", "cpuCount": 4, "memorySize": 8, "blockStorageMaxCount": 20, "networkInterfaceMaxCount": 3, "zoneNoList": [ 2, 3 ], "memorySizeToBytes": 8589934592 }, { "serverSpecCode": "elst.c8-g3", "serverSpecTypeCode": "HICPU", "serverSpecDescription": "[HICPU] vCPU 8EA, Memory 16GB", "productCode": "SVR.VELST.HICPU.C008.M016.NET.SSD.B050.G003", "hypervisorCode": "KVM", "generationCode": "G3", "cpuArchitectureCode": "X86_64", "cpuCount": 8, "memorySize": 16, "blockStorageMaxCount": 20, "networkInterfaceMaxCount": 3, "zoneNoList": [ 2, 3 ], "memorySizeToBytes": 17179869184 }, ... ] }, "requestId": "b9057207-****-****-****-0976a484d383" } ```